Name:		lnlb
Version:	0.1.3
Release:	3%{?dist}
Summary:	Linux Network Load Balancing
Group:		System
License:	GPLv2
URL:		http://lnlb.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
Source1:	dkms.conf
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}
Patch1:		lnlb-2.6.30+.patch

%description
Linux Network Load Balancing is an open-source project (kernel module +
userland app.) aimed to realize decentered network load balancing clusters
between Linux boxes.

In a few words: a common IP shared between all nodes (on a virtual interface).
All you have to do is to bind on the virtual interface, the driver will do the
rest.

%package dkms
Summary:	LNLB kernel module
Group:		Kernel
BuildRequires:	kernel-devel
Requires:	dkms

%description dkms
Kernel module component of LNLB.

%clean
rm -rf $RPM_BUILD_ROOT

%prep
%setup -q
cp -p %SOURCE1 .

%if 0%{?rhel} >= 6
%patch1 -p1
%endif


%build
make userland

%install
#rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 755 lnlbctl $RPM_BUILD_ROOT%{_sbindir}

mkdir -p ${RPM_BUILD_ROOT}/usr/src/%{name}-%{version}
install -m 644 lnlb.c			${RPM_BUILD_ROOT}/usr/src/%{name}-%{version}/
install -m 644 COPYING			${RPM_BUILD_ROOT}/usr/src/%{name}-%{version}/
install -m 644 Makefile			${RPM_BUILD_ROOT}/usr/src/%{name}-%{version}/
install -m 644 README			${RPM_BUILD_ROOT}/usr/src/%{name}-%{version}/
install -m 644 lnlb_mod_tracking.c	${RPM_BUILD_ROOT}/usr/src/%{name}-%{version}/
install -m 644 if_lnlb.h		${RPM_BUILD_ROOT}/usr/src/%{name}-%{version}/
install -m 644 dkms.conf		${RPM_BUILD_ROOT}/usr/src/%{name}-%{version}/

%files
%attr(0755,root,root) %{_sbindir}/lnlbctl

%files dkms
%attr(0644,root,root) /usr/src/%{name}-%{version}/lnlb.c
%attr(0644,root,root) /usr/src/%{name}-%{version}/COPYING
%attr(0644,root,root) /usr/src/%{name}-%{version}/Makefile
%attr(0644,root,root) /usr/src/%{name}-%{version}/README
%attr(0644,root,root) /usr/src/%{name}-%{version}/lnlb_mod_tracking.c
%attr(0644,root,root) /usr/src/%{name}-%{version}/if_lnlb.h
%attr(0644,root,root) /usr/src/%{name}-%{version}/dkms.conf

%post dkms
dkms add -m %{name} -v %{version}
dkms build -m %{name} -v %{version}
dkms install -m %{name} -v %{version}

%preun dkms
dkms uninstall -m %{name} -v %{version}
dkms remove -m %{name} -v %{version} --all

%changelog
* Wed Jul 11 2012 Gordan Bobic <gordan@redsleeve.org> 0.1.3-3
- Make the package work for both older kernels and newer kernels by
  selectively applying the patch.

* Thu Jan 26 2012 Gordan Bobic <gordan@redsleeve.org> 0.1.3-1
- Initial version.
